This page is a translated version of the page Arch Add and the translation is 100% complete.

Arch Add.png Aggiungi

Posizione nel menu
Arch → Aggiungi
Ambiente
Architettura
Avvio veloce
Nessuno
Vedere anche
Rimuovi


Descrizione

Lo strumento Aggiungi permette di eseguire diversi tipi di operazioni:

  • Aggiungere a un componente di Architettura degli oggetti basati su forme, ad esempio un muro o una struttura. Questi oggetti vengono inseriti nell'elemento Architettura, è possibile modificare la loro forma, ma mantenendo le loro caratteristiche di base come la larghezza e l'altezza
  • Aggiungere componenti Architettura, quali muri o strutture, a un oggetto costituito da un gruppo base come il piano.
  • Aggiungere dei sistemi di assi a oggetti struttura
  • Aggiungere oggetti ai piani di sezione

Arch Add example.jpg

Nell'immagine sopra, viene aggiunto un cubo ad una parete.

Utilizzo

  1. Selezionare prima l'oggetto(i) da aggiungere poi l'oggetto "ospite" (l'oggetto ospite deve essere selezionato per ultimo), es. un muro.
  2. Premere il pulsante Arch Add.png Aggiungi

Script

Lo strumento Aggiungi può essere utilizzato nelle macro e dalla console python utilizzando la seguente funzione:

addComponents (objectsList,hostObject) 
  • Aggiunge l'oggetto o gli oggetti della lista a hostObject. Usarla per esempio per aggiungere delle finestre a un muro, o per aggiungere delle pareti a un pavimento.

Esempio:

import FreeCAD, Arch, Draft, Part
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
wall = Arch.makeWall(line)
box = Part.makeBox(1,1,1)
Arch.addComponents(box,wall) 
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎русский • ‎svenska